## ros-melodic-moveit-python 0.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(moveit_python)

find_package(catkin)

catkin_package()
catkin_python_setup()

install(
  PROGRAMS
    scripts/dump_planning_scene.py
    scripts/list_objects.py
    scripts/load_planning_scene.py
    scripts/remove_objects.py
  DESTINATION
    ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-melodic-moveit-python (0.3.4-1stretch) stretch; urgency=high

  * Fixed error message when removing attached object. (#25 <https://github.com/mikeferguson/moveit_python/issues/25>)
    Co-authored-by: Karl Kangur <mailto:karl.kangur@exwzd.com>
  * Merge pull request #24 <https://github.com/mikeferguson/moveit_python/issues/24> from v4hn/pr-master-python3
    python3 compatible API & syntax
  * python3 compatible API & syntax
  * Contributors: Karl Kangur, Michael Ferguson, v4hn

 -- Michael Ferguson <fergs@botnuvo.com>  Wed, 22 Apr 2020 04:00:00 -0000

ros-melodic-moveit-python (0.3.3-1stretch) stretch; urgency=high

  * add sphere to planning scene interface
  * add move_group parameter to MoveGroup class
  * Contributors: Michael Ferguson, arwtyxouymz

 -- Michael Ferguson <fergs@botnuvo.com>  Thu, 21 Nov 2019 05:00:00 -0000

ros-melodic-moveit-python (0.3.2-1stretch) stretch; urgency=high

  * enable pyassimp for melodic
  * update maintainer email
  * Contributors: Michael Ferguson, Shingo Kitagawa

 -- Michael Ferguson <fergs@botnuvo.com>  Thu, 14 Nov 2019 05:00:00 -0000

ros-melodic-moveit-python (0.3.1-1stretch) stretch; urgency=high

  * add missing namespace to apply service
  * Contributors: Michael Ferguson

 -- Michael Ferguson <fergs@unboundedrobotics.com>  Mon, 13 Aug 2018 04:00:00 -0000

ros-melodic-moveit-python (0.3.0-1stretch) stretch; urgency=high

  * add namespace functionality on planning_scene_interface.py
  * additional cleanup/documentation
    * use apply_service for colors
    * rename sentUpdate to sendUpdate, add docs
    * rename wait param to use_service (the meaning has changed)
    * remove some spammy logging
    * don't waitForSync when using service
  * Merge pull request #10 <https://github.com/mikeferguson/moveit_python/issues/10> from alemme/master
    adapt the code for the apply service
  * added services to add objects to environment and attach them. Following http://docs.ros.org/kinetic/api/moveit_tutorials/html/doc/pr2_tutorials/planning/src/doc/planning_scene_ros_api_tutorial.html#interlude-synchronous-vs-asynchronous-updates
  * Contributors: Benjamin-Tan, Lemme, Michael Ferguson

 -- Michael Ferguson <fergs@unboundedrobotics.com>  Tue, 31 Jul 2018 04:00:00 -0000

ros-melodic-moveit-python (0.2.17-1stretch) stretch; urgency=high

  * Merge pull request #9 <https://github.com/mikeferguson/moveit_python/issues/9> from mikeferguson/pyassimp_fix
    pyassimp is broken in 16.04, temporary work around so we can release
  * Contributors: Michael Ferguson

 -- Michael Ferguson <fergs@unboundedrobotics.com>  Tue, 23 Aug 2016 04:00:00 -0000

ros-melodic-moveit-python (0.2.16-1stretch) stretch; urgency=high

  * fix error message to have proper function name
  * Contributors: Michael Ferguson

 -- Michael Ferguson <fergs@unboundedrobotics.com>  Mon, 02 Nov 2015 05:00:00 -0000

ros-melodic-moveit-python (0.2.15-1stretch) stretch; urgency=high

  * Fix types in move_group_interface
  * add planning_scene_diff as optional field
  * Contributors: Michael Ferguson, Mikkel Rath Pedersen

 -- Michael Ferguson <fergs@unboundedrobotics.com>  Thu, 20 Aug 2015 04:00:00 -0000

ros-melodic-moveit-python (0.2.14-1stretch) stretch; urgency=high

  * add no-wait behavior for move, pick, and place
  * updates for compliance with PEP8
  * Contributors: Aaron Blasdel, Michael Ferguson

 -- Michael Ferguson <fergs@unboundedrobotics.com>  Fri, 22 May 2015 04:00:00 -0000

ros-melodic-moveit-python (0.2.13-1stretch) stretch; urgency=high

  * better handle removal of objects
  * place has no attached_object_touch_links
  * Contributors: Michael Ferguson

 -- Michael Ferguson <fergs@unboundedrobotics.com>  Sat, 18 Apr 2015 04:00:00 -0000

ros-melodic-moveit-python (0.2.12-1stretch) stretch; urgency=high

  * fixup planner id
  * Contributors: Michael Ferguson

 -- Michael Ferguson <fergs@unboundedrobotics.com>  Sat, 11 Apr 2015 04:00:00 -0000

ros-melodic-moveit-python (0.2.11-1stretch) stretch; urgency=high

  * fix spelling issue in velocity scaling factor
  * Contributors: Michael Ferguson

 -- Michael Ferguson <fergs@unboundedrobotics.com>  Wed, 08 Apr 2015 04:00:00 -0000

ros-melodic-moveit-python (0.2.10-1stretch) stretch; urgency=high

  * implement kwargs for pick&place interface
  * add max_velocity_scaling_factor as kwarg
  * allow overriding allowed_planning_time
  * add FakeGroupInterface
  * add clear() method to planning scene interface
  * Contributors: Michael Ferguson

 -- Michael Ferguson <fergs@unboundedrobotics.com>  Mon, 06 Apr 2015 04:00:00 -0000

ros-melodic-moveit-python (0.2.9-1stretch) stretch; urgency=high

  * add rotate_pose_msg_about_origin
  * Contributors: Michael Ferguson

 -- Michael Ferguson <fergs@unboundedrobotics.com>  Sat, 28 Mar 2015 04:00:00 -0000

ros-melodic-moveit-python (0.2.8-1stretch) stretch; urgency=high

  * expose num_attempts through kw_args
  * Contributors: Michael Ferguson

 -- Michael Ferguson <fergs@unboundedrobotics.com>  Sat, 21 Mar 2015 04:00:00 -0000

ros-melodic-moveit-python (0.2.7-1stretch) stretch; urgency=high

  * enable removing attached objects
  * Contributors: Michael Ferguson

 -- Michael Ferguson <fergs@unboundedrobotics.com>  Wed, 19 Nov 2014 05:00:00 -0000

ros-melodic-moveit-python (0.2.6-1stretch) stretch; urgency=high

  * use kw_args for group interface, add a number of args supported
  * a couple of fixes for is_diff
  * Contributors: Michael Ferguson

 -- Michael Ferguson <fergs@unboundedrobotics.com>  Sun, 16 Nov 2014 05:00:00 -0000

ros-melodic-moveit-python (0.2.5-1stretch) stretch; urgency=high

  * add scripts for dumping/loading planning scene
  * documentation cleanup
  * Contributors: Michael Ferguson

 -- Michael Ferguson <fergs@unboundedrobotics.com>  Wed, 09 Jul 2014 04:00:00 -0000

ros-melodic-moveit-python (0.2.4-1stretch) stretch; urgency=high

  * add list and remove object scripts, closes #2 <https://github.com/mikeferguson/moveit_python/issues/2>


=== debian/control ===
Source: ros-melodic-moveit-python
Section: misc
Priority: optional
Maintainer: Michael Ferguson <fergs@botnuvo.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://ros.org/wiki/moveit_python
Standards-Version: 3.9.2

Package: ros-melodic-moveit-python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-pyassimp, ros-melodic-actionlib, ros-melodic-geometry-msgs, ros-melodic-moveit-msgs, ros-melodic-rospy, ros-melodic-shape-msgs, ros-melodic-tf
Description: A pure-python interaface to the MoveIt! ROS API.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-moveit-python//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-moveit-python 0.4.5

=== debian/changelog ===
ros-melodic-moveit-python (0.4.5-1bionic) bionic; urgency=high

  * fix CI after adding setup tools dependency
  * Contributors: Michael Ferguson

 -- Michael Ferguson <fergs@botnuvo.com>  Tue, 03 Jan 2023 05:00:00 -0000

ros-melodic-moveit-python (0.4.4-1bionic) bionic; urgency=high

  * use setuptools (#33 <https://github.com/mikeferguson/moveit_python/issues/33>)
    setup from distutils is deprecated and will be removed eventually.
    It already breaks on Debian testing.
  * Contributors: Michael Görner

 -- Michael Ferguson <fergs@botnuvo.com>  Fri, 23 Dec 2022 05:00:00 -0000

ros-melodic-moveit-python (0.4.3-1bionic) bionic; urgency=high

  * fix: Add attached_object_touch_links to pickup (#31 <https://github.com/mikeferguson/moveit_python/issues/31>)
  * Contributors: Kai Waelti

 -- Michael Ferguson <fergs@botnuvo.com>  Fri, 14 Jan 2022 05:00:00 -0000

ros-melodic-moveit-python (0.4.2-1bionic) bionic; urgency=high

  * New cone primitive and box primitive frame fix (#30 <https://github.com/mikeferguson/moveit_python/issues/30>)
    * Box primitive frame independent of planning scene
    * Added cone solid primitive
  * Contributors: Kiran Prasad

 -- Michael Ferguson <fergs@botnuvo.com>  Mon, 28 Jun 2021 04:00:00 -0000

ros-melodic-moveit-python (0.4.1-1bionic) bionic; urgency=high

  * add support for objects not in fixed_frame
  * Contributors: Michael Ferguson

 -- Michael Ferguson <fergs@botnuvo.com>  Thu, 11 Feb 2021 05:00:00 -0000

ros-melodic-moveit-python (0.4.0-1bionic) bionic; urgency=high

  * various fixes for noetic/python3 (#28 <https://github.com/mikeferguson/moveit_python/issues/28>)
  * Contributors: Michael Ferguson

 -- Michael Ferguson <fergs@botnuvo.com>  Sun, 17 Jan 2021 05:00:00 -0000

ros-melodic-moveit-python (0.3.6-1bionic) bionic; urgency=high

  * update package.xml for python3 support
  * Contributors: Michael Ferguson

 -- Michael Ferguson <fergs@botnuvo.com>  Fri, 25 Dec 2020 05:00:00 -0000

ros-melodic-moveit-python (0.3.5-1bionic) bionic; urgency=high

  * use "is None"
  * Fixed a comparison and logical statement order issue. (#26 <https://github.com/mikeferguson/moveit_python/issues/26>)
  * fix pyassimp indices bug (#27 <https://github.com/mikeferguson/moveit_python/issues/27>)
  * Contributors: Karl Kangur, Michael Ferguson, Shingo Kitagawa

 -- Michael Ferguson <fergs@botnuvo.com>  Fri, 25 Dec 2020 05:00:00 -0000

ros-melodic-moveit-python (0.3.4-1bionic) bionic; urgency=high

  * Fixed error message when removing attached object. (#25 <https://github.com/mikeferguson/moveit_python/issues/25>)
    Co-authored-by: Karl Kangur <mailto:karl.kangur@exwzd.com>
  * Merge pull request #24 <https://github.com/mikeferguson/moveit_python/issues/24> from v4hn/pr-master-python3
    python3 compatible API & syntax
  * python3 compatible API & syntax
  * Contributors: Karl Kangur, Michael Ferguson, v4hn

 -- Michael Ferguson <fergs@botnuvo.com>  Wed, 22 Apr 2020 04:00:00 -0000

ros-melodic-moveit-python (0.3.3-1bionic) bionic; urgency=high

  * add sphere to planning scene interface
  * add move_group parameter to MoveGroup class
  * Contributors: Michael Ferguson, arwtyxouymz

 -- Michael Ferguson <fergs@botnuvo.com>  Thu, 21 Nov 2019 05:00:00 -0000

ros-melodic-moveit-python (0.3.2-1bionic) bionic; urgency=high

  * enable pyassimp for melodic
  * update maintainer email
  * Contributors: Michael Ferguson, Shingo Kitagawa

 -- Michael Ferguson <fergs@botnuvo.com>  Thu, 14 Nov 2019 05:00:00 -0000

ros-melodic-moveit-python (0.3.1-1bionic) bionic; urgency=high

  * add missing namespace to apply service
  * Contributors: Michael Ferguson

 -- Michael Ferguson <fergs@unboundedrobotics.com>  Mon, 13 Aug 2018 04:00:00 -0000

ros-melodic-moveit-python (0.3.0-1bionic) bionic; urgency=high

  * add namespace functionality on planning_scene_interface.py
  * additional cleanup/documentation
    * use apply_service for colors
    * rename sentUpdate to sendUpdate, add docs
    * rename wait param to use_service (the meaning has changed)
    * remove some spammy logging
    * don't waitForSync when using service
  * Merge pull request #10 <https://github.com/mikeferguson/moveit_python/issues/10> from alemme/master
    adapt the code for the apply service
  * added services to add objects to environment and attach them. Following http://docs.ros.org/kinetic/api/moveit_tutorials/html/doc/pr2_tutorials/planning/src/doc/planning_scene_ros_api_tutorial.html#interlude-synchronous-vs-asynchronous-updates
  * Contributors: Benjamin-Tan, Lemme, Michael Ferguson

 -- Michael Ferguson <fergs@unboundedrobotics.com>  Tue, 31 Jul 2018 04:00:00 -0000

ros-melodic-moveit-python (0.2.17-1bionic) bionic; urgency=high

  * Merge pull request #9 <https://github.com/mikeferguson/moveit_python/issues/9> from mikeferguson/pyassimp_fix
    pyassimp is broken in 16.04, temporary work around so we can release
  * Contributors: Michael Ferguson

 -- Michael Ferguson <fergs@unboundedrobotics.com>  Tue, 23 Aug 2016 04:00:00 -0000

ros-melodic-moveit-python (0.2.16-1bionic) bionic; urgency=high

  * fix error message to have proper function name
  * Contributors: Michael Ferguson

 -- Michael Ferguson <fergs@unboundedrobotics.com>  Mon, 02 Nov 2015 05:00:00 -0000

ros-melodic-moveit-python (0.2.15-1bionic) bionic; urgency=high

  * Fix types in move_group_interface
  * add planning_scene_diff as optional field
  * Contributors: Michael Ferguson, Mikkel Rath Pedersen

 -- Michael Ferguson <fergs@unboundedrobotics.com>  Thu, 20 Aug 2015 04:00:00 -0000

ros-melodic-moveit-python (0.2.14-1bionic) bionic; urgency=high

  * add no-wait behavior for move, pick, and place
  * updates for compliance with PEP8
  * Contributors: Aaron Blasdel, Michael Ferguson

 -- Michael Ferguson <fergs@unboundedrobotics.com>  Fri, 22 May 2015 04:00:00 -0000

ros-melodic-moveit-python (0.2.13-1bionic) bionic; urgency=high

  * better handle removal of objects
  * place has no attached_object_touch_links


=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Michael Ferguson <fergs@botnuvo.com>
-Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
+Build-Depends: debhelper (>= 9.0.0), python-setuptools, ros-melodic-catkin
 Homepage: http://ros.org/wiki/moveit_python
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
